/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "mixer.h"

FD_Mixer *create_form_Mixer(void)
{
  FL_OBJECT *obj;
  FD_Mixer *fdui = (FD_Mixer *) fl_calloc(1, sizeof(*fdui));

  fdui->Mixer = fl_bgn_form(FL_NO_BOX, 455, 235);
  obj = fl_add_box(FL_EMBOSSED_BOX,0,0,455,235,"");
  fdui->volume_knob = obj = fl_add_dial(FL_NORMAL_DIAL,305,90,100,90,"Main Volume");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_callback(obj,volume_knob_cb,0);
  fdui->slider_line = obj = fl_add_slider(FL_VERT_BROWSER_SLIDER,250,10,20,170,"line");
    fl_set_object_callback(obj,slider_line_cb,0);
  fdui->slider_mic = obj = fl_add_slider(FL_VERT_BROWSER_SLIDER,220,10,20,170,"mic");
    fl_set_object_callback(obj,slider_mic_cb,0);
  fdui->slider_mix = obj = fl_add_slider(FL_HOR_NICE_SLIDER,280,10,150,50,"Mix");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_callback(obj,slider_mix_cb,0);
    fl_set_slider_size(obj, 0.15);
  fdui->mic_rec = obj = fl_add_lightbutton(FL_PUSH_BUTTON,100,100,80,20,"Mic");
    fl_set_object_color(obj,FL_GREEN,FL_RED);
    fl_set_object_callback(obj,mic_rec_cb,0);
  fdui->line_rec = obj = fl_add_lightbutton(FL_PUSH_BUTTON,100,130,80,20,"Line");
    fl_set_object_color(obj,FL_GREEN,FL_RED);
    fl_set_object_callback(obj,line_rec_cb,0);
  fdui->slider_reclevel = obj = fl_add_slider(FL_VERT_BROWSER_SLIDER,190,10,20,170,"level");
    fl_set_object_callback(obj,slider_reclevel_cb,0);
  fdui->button_quit = obj = fl_add_button(FL_NORMAL_BUTTON,10,200,60,20,"Quit");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,button_quit_cb,0);
  fdui->slider_pcm = obj = fl_add_slider(FL_VERT_BROWSER_SLIDER,10,10,20,170,"pcm");
    fl_set_object_callback(obj,slider_pcm_cb,0);
  fdui->slider_synth = obj = fl_add_slider(FL_VERT_BROWSER_SLIDER,40,10,20,170,"synth");
    fl_set_object_callback(obj,slider_synth_cb,0);
  fdui->slider_cd = obj = fl_add_slider(FL_VERT_BROWSER_SLIDER,70,10,20,170,"cd");
    fl_set_object_callback(obj,slider_cd_cb,0);
  fdui->knob_bass = obj = fl_add_dial(FL_NORMAL_DIAL,95,10,40,40,"bass");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_callback(obj,knob_bass_cb,0);
  fdui->knob_treble = obj = fl_add_dial(FL_NORMAL_DIAL,140,10,40,40,"treble");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_callback(obj,knob_treble_cb,0);
  fdui->cd_rec = obj = fl_add_lightbutton(FL_PUSH_BUTTON,100,160,80,20,"CD");
    fl_set_object_color(obj,FL_GREEN,FL_RED);
    fl_set_object_callback(obj,cd_rec_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,105,75,70,20,"Recoding\nSource");
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->mix_left = obj = fl_add_choice(FL_NORMAL_CHOICE2,280,60,60,20,"");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,mix_left_cb,0);
  fdui->mix_right = obj = fl_add_choice(FL_NORMAL_CHOICE2,370,60,60,20,"");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,mix_right_cb,0);
  fdui->if_button = obj = fl_add_button(FL_NORMAL_BUTTON,100,200,90,20,"Faders");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,if_button_cb,0);
  fdui->led0 = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,280,205,16,8,"");
  fdui->led1 = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,300,205,16,8,"");
  fdui->led2 = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,320,205,16,8,"");
  fdui->led3 = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,340,205,16,8,"");
  fdui->led4 = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,360,205,16,8,"");
  fdui->led5 = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,380,205,16,8,"");
  fdui->led6 = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,400,205,16,8,"");
  fdui->led7 = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,420,205,16,8,"");
  fdui->button_fade = obj = fl_add_button(FL_NORMAL_BUTTON,340,120,35,35,"Fade!");
    fl_set_object_callback(obj,button_fade_cb,0);
  fdui->slider_balance = obj = fl_add_slider(FL_HOR_NICE_SLIDER,280,85,150,20,"L  Balance  R");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_callback(obj,slider_balance_cb,0);
    fl_set_slider_size(obj, 0.15);
  fdui->fade_source = obj = fl_add_choice(FL_NORMAL_CHOICE2,285,160,145,20,"Fade source");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM_RIGHT);
    fl_set_object_callback(obj,fade_source_cb,0);
  fdui->button_fin = obj = fl_add_lightbutton(FL_RADIO_BUTTON,285,135,45,20,"In");
    fl_set_object_color(obj,FL_GREEN,FL_RED);
    fl_set_object_callback(obj,button_fin_cb,0);
  fdui->button_fout = obj = fl_add_lightbutton(FL_RADIO_BUTTON,385,135,45,20,"Out");
    fl_set_object_color(obj,FL_GREEN,FL_RED);
    fl_set_object_callback(obj,button_fout_cb,0);
  fdui->fade_in_delay = obj = fl_add_dial(FL_NORMAL_DIAL,285,100,30,30,"");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_callback(obj,fade_in_delay_cb,0);
  fdui->fade_out_delay = obj = fl_add_dial(FL_NORMAL_DIAL,395,100,30,30,"");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_callback(obj,fade_out_delay_cb,0);
  fl_end_form();

  fdui->Mixer->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

